Skip to main content
POST
/
custom-rss-feeds
/
{id}
/
sync
cURL
curl -X POST "https://app.cotool.ai/custom-rss-feeds/:id/sync" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json"
{
  "feed": {
    "id": "<string>",
    "name": "<string>",
    "displayName": "<string>",
    "feedUrl": "<string>",
    "organizationId": "<string>",
    "createdBy": "<string>",
    "enabled": true,
    "scheduleCron": "<string>",
    "maxEntries": 123,
    "lastFetchedAt": "<string>",
    "lastStatus": "<string>",
    "lastError": "<string>",
    "createdAt": "<string>",
    "updatedAt": "<string>"
  },
  "jobId": "<string>"
}

Authorizations

Authorization
string
header
required

API Key authentication for programmatic access. Include your API key in the Authorization header as: Bearer your_api_key_here

Path Parameters

id
string
required

Response

200 - application/json

Successful response

feed
object
required
jobId
string
required